using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FiltronASP.Models;
using FiltronASP.Models.DAO;
using FiltronASP.Models.DAO.Interfaces;

namespace FiltronASP.Helpers.VariableValueHelper
{
    public class countryClassHelper
    {
        public static string getCountryDescription(Page currentPage) {

            TemplateDAO templateDAO = new TemplateDAO();
            Template currentTemplate = templateDAO.FindByLangAndName(Convert.ToInt32(currentPage.language_id), "singleCountry");

            VariableDAO variableDAO = new VariableDAO();
            Variable VariableEntity = variableDAO.FindByTemplateAndLanguageAndName(currentTemplate.template_id, Convert.ToInt32(currentPage.language_id), "englishCountry");

            VariableValueDAO variableValueDAO = new VariableValueDAO();
            VariableValue varEnglishCountry = variableValueDAO.FindByVariableAndPage(VariableEntity.variable_id, currentPage.page_id);

            PageDAO pageDAO = new PageDAO();
            Page englishPage = pageDAO.FindByLanguageAndAlliasAndLink(7, varEnglishCountry.variable_value, null);

            VariableValue toReturn = variableValueDAO.FindByVariableAndPage("countryInfo", englishPage.page_id);
            
            return toReturn.variable_value;
        }
    }
}
